
/*!
 * calendar-tools
 * Copyright(c) 2011 Damian Suarez <damian@learnboost.com>
 * MIT Licensed
 */

(function (module, serverSide) {

  if (typeof module.exports == 'undefined') {
    module.exports = {};
  }

  exports = module.exports;

  /**
   * Library version.
   */

  exports.version = '0.1.6';

  /**
   * Expose recurrence
   */

  exports.recurrence = require('./recurrence');

  /**
   * Expose seed
   */

  exports.seed = require('./seed');

  /**
   * Expose util
   */

  exports.util = require('./util');

  // client-side: add caTools global var
  if (!serverSide) {
    if (typeof window.caTools == 'undefined')
      window.caTools = {};

    for (var k in exports)
      window.caTools[k] = exports[k];
  }

})(typeof module != 'undefined' ? module : {}, typeof window != 'object');
